<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Science and Engineering Ethics (2001) 7, 231-238</title>
</head>
<body>
	<p>Science and Engineering Ethics (2001) 7, 231-238</p>
	<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

	<hr>
	<strong>Keywords</strong>: code of ethiucs, professional responsibility, software engineering

	<h3>PREAMBLE</h3>

	The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious: without the details, the aspirations can become high-sounding but empty: together, the aspirations and the details from a cohesive code.
	<br>
	<br>
	Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with ther commitment to the health, safe,m and welfare of the publc, software enginners shal adhere to the following eight Principles:

	<h3>PRINCIPLES</h3>|

		<ol>
			<li><em>Public</em>. Software engineers shall act consistently with the public intereset</li>
			<li><em>Client and employer</em>. Software enginners shall act in a manner that is in the best interests of ther client and emplyer, consistent with the public interest</li>
			<li><em>Product</em>. Software enginners shall ensure that their products and related modications meet the highest professional standars possible</li>
			<li><em>Judgment</em>. Software engineers shall maintain integrity and independence in their professional judgment.</li>
			<li><em>Management</em>. Software engineering managers and leaders shall subscribe to and promote an ethical approace to the management of software developement and maintenance.</li>
			<li><em>Profession</em>. Software engineers shall advance the integrity and reputaion of the profession consistent with the public interest.</li>
			<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
			<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>

		</ol>
</body>
</html>